Bug 442204 - null pointer dereference in sysfs_addrm_start
null pointer dereference in sysfs_addrm_start
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-12 14:46 EDT by Jon Stanley
Modified: 2009-07-14 11:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 11:44:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-04-12 14:46:32 EDT
On a vmware server system upgraded from F7-rawhide 20080412, experiencing the
following panic occasionally at boot:

BUG: unable to handle kernel NULL pointer dereference at 00000020
IP: [<c04bbb65>] sysfs_addrm_start+0x21/0x7d
Oops: 0000 [#1] SMP 
Modules linked in: e1000(+) i2c_piix4 i2c_core sg ac button sr_mod cdrom
ata_piix libata dm_snapshot dm_zero dm_mirror dm_mod mptspi mptscsih mptbase
scsi_transport_spi sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd
[last unloaded: scsi_wait_scan]

Pid: 742, comm: mdadm Not tainted (2.6.25-0.218.rc8.git7.fc9.i686 #1)
EIP: 0060:[<c04bbb65>] EFLAGS: 00010246 CPU: 0
EIP is at sysfs_addrm_start+0x21/0x7d
EAX: c04bbc23 EBX: 00000000 ECX: 00000000 EDX: 00000062
ESI: f6ecdc84 EDI: f6ecdc94 EBP: f6ecdc78 ESP: f6ecdc6c
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process mdadm (pid: 742, ti=f6ecd000 task=f6e22e80 task.ti=f6ecd000)
Stack: f6ecdc84 f6e75bd0 fffffff4 f6ecdca0 c04bbfb7 00000000 00000000 00000000 
       00000000 00000000 f7853dc4 fffffffe f7af6824 f6ecdcb4 c04bc01c f6ecdcac 
       c04f08f2 f7853dc4 f6ecdcd0 c04f09ec f7af6824 f6ecdcd0 00000000 f7853dc4 
Call Trace:
 [<c04bbfb7>] ? create_dir+0x3a/0x72
 [<c04bc01c>] ? sysfs_create_dir+0x2d/0x41
 [<c04f08f2>] ? kobject_get+0x12/0x17
 [<c04f09ec>] ? kobject_add_internal+0xa4/0x145
 [<c04f0b21>] ? kobject_add_varg+0x35/0x41
 [<c04f0b92>] ? kobject_add+0x43/0x49
 [<c05948aa>] ? bind_rdev_to_array+0x124/0x1ab
 [<c04cf900>] ? task_has_capability+0x47/0x76
 [<c04f4f94>] ? copy_from_user+0x39/0x121
 [<c05994d1>] ? md_ioctl+0xf75/0x183b
 [<c04cfde2>] ? inode_has_perm+0x5b/0x65
 [<c0490ce5>] ? d_free+0x3b/0x4d
 [<c0492094>] ? dput+0x34/0xee
 [<c04efb51>] ? _atomic_dec_and_lock+0x29/0x44
 [<c04958b8>] ? mntput_no_expire+0x16/0x69
 [<c0488796>] ? path_put+0x20/0x23
 [<c048ab1b>] ? __link_path_walk+0xce7/0xcfc
 [<c04e831d>] ? blkdev_driver_ioctl+0x49/0x5b
 [<c04e8ab0>] ? blkdev_ioctl+0x781/0x79d
 [<c04d06a8>] ? selinux_file_free_security+0x14/0x16
 [<c04cfde2>] ? inode_has_perm+0x5b/0x65
 [<c04d01b9>] ? file_has_perm+0x7c/0x85
 [<c04a241b>] ? block_ioctl+0x16/0x1b
 [<c04a2405>] ? block_ioctl+0x0/0x1b
 [<c048c99e>] ? vfs_ioctl+0x22/0x69
 [<c048cc1e>] ? do_vfs_ioctl+0x239/0x24c
 [<c04d034f>] ? selinux_file_ioctl+0xa8/0xab
 [<c048cc71>] ? sys_ioctl+0x40/0x5b
 [<c0405cf6>] ? syscall_call+0x7/0xb
Code: 89 31 8d 65 f4 5b 5e 5f 5d c3 55 b9 04 00 00 00 89 e5 57 89 c7 56 89 c6 53
31 c0 89 d3 f3 ab b8 34 fc 71 c0 89 16 e8 1f e2 16 00 <8b> 53 20 b9 f0 b7 4b c0
a1 88 f4 83 c0 53 e8 43 71 fd ff 5f 85 
EIP: [<c04bbb65>] sysfs_addrm_start+0x21/0x7d SS:ESP 0068:f6ecdc6c
---[ end trace ca143223eefdc828 ]---

It's interesting to note that this VM has been used for install testing, and
*does* have a valid RAID array that mdadm can find - however it's not used in
fstab on this installation.
Comment 1 Jon Stanley 2008-04-12 14:47:27 EDT
Well, this isn't a panic per se - however, the system won't boot after it :)
Comment 2 Bug Zapper 2008-05-14 05:21:35 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Bug Zapper 2009-06-09 20:09:24 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 11:44:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.